------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(209,375);

------------------------------------------------------------
local HZ  = CppScriptMgr:AddSimplePlayer(1055346, 210,383, "Funny King", 4003000001,1)
HZ:SetDir(4);
CppScriptMgr:WaitMilSec(100);

local effectObj1 = CppScriptMgr:AddEffect( "gh_liwurank3", 209, 375);

HZ:Say("Finally, the treasures are well hidden. Now I need to find someone to play the treasure hunting game!", 3000)
CppScriptMgr:WaitMilSec(4000)

CppScriptMgr:SetViewPosByCell(216,430);

local WDC  = CppScriptMgr:AddSimplePlayer(38834, 216,430, "Hammer Wang", 4003000002,1)
WDC:SetDir(4);

HZ:SetPos(211, 418);
HZ:RunTo(217, 426);
CppScriptMgr:WaitMilSec(3000);
HZ:Say("I hid something magic in my maze. It`ll be yours if you find it!", 3000)
CppScriptMgr:WaitMilSec(200);
WDC:Say("I don`t buy it. You liar!", 3000)

CppScriptMgr:WaitMilSec(4000)
CppScriptMgr:SetViewPosByCell(252,427);

local SJBT  = CppScriptMgr:AddSimplePlayer(20680, 252,427, "Craftsman", 4003000003,1)
SJBT:SetDir(1);

HZ:SetPos(239, 429);
HZ:RunTo(248, 429);
CppScriptMgr:WaitMilSec(3000);
HZ:Say("There are many treasures in my maze. Find them, and you`ll be rich!", 3000)
CppScriptMgr:WaitMilSec(500);
SJBT:Say("Go away! Don`t bother me!", 3000)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(209,375);
local HZ1  = CppScriptMgr:AddSimplePlayer(1055344, 210,383, "Funny King", 4003000004,1)
HZ1:SetDir(4);
HZ1:Say("Why is everyone not playing treasure hunting with me...", 3000)
CppScriptMgr:WaitMilSec(1000);
local hero = CppScriptMgr:QueryHero();
hero:SetZoomPercent(100);
hero:SetPos(224, 382);
hero:RunTo(215,380);
hero:SetDir(2);
CppScriptMgr:WaitMilSec(1000);
hero:Say("I`ll give it a shot.", 3000);

CppScriptMgr:WaitMilSec(4000);


